// creator  : weidu.exe (version 23100)
// argument : BKELDOR.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BKELDOR~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF ~~ THEN BEGIN 0 // from: BAERIE:28.0
  SAY #2705 /* ~They say homecomings are like that.~ [KELDOR48] */
  IF ~GlobalGT("KeldornLeave","GLOBAL",0)~ THEN EXTERN ~BAERIE~ 29
  IF ~Global("KeldornLeave","GLOBAL",0)~ THEN EXTERN ~BAERIE~ 31
END

IF ~~ THEN BEGIN 1 // from: BAERIE:29.0
  SAY #2714 /* ~'Tis a pain I live with, a truth I know.  Speaking of it airs the soul.~ */
  IF ~~ THEN EXTERN ~BAERIE~ 30
END

IF ~~ THEN BEGIN 2 // from: BAERIE:30.0
  SAY #2718 /* ~Aye... I always have and I always shall.  That is the way of it, I guess.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: BAERIE:31.0
  SAY #2760 /* ~My faith is my home and... and by the will of Torm, I take it with me where I go...~ */
  IF ~~ THEN EXTERN ~BAERIE~ 32
END

IF ~~ THEN BEGIN 4 // from: BAERIE:32.0
  SAY #2787 /* ~Aye, the servant god, always ready to sacrifice himself in duty's name.  I have a family I have not been with in some time; Torm requires sacrifice from us all.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: BMINSC:40.0
  SAY #3199 /* ~Minsc!  Stand down and calm yourself!~ [KELDOR70] */
  IF ~~ THEN EXTERN ~BMINSC~ 41
END

IF ~~ THEN BEGIN 6 // from: BMINSC:41.0
  SAY #3201 /* ~And you have fought well and true as a warrior should, but the battle is won!  Minsc, let the fury pass.~ */
  IF ~~ THEN EXTERN ~BMINSC~ 42
END

IF ~~ THEN BEGIN 7 // from: BMINSC:42.0
  SAY #3203 /* ~Well fought, Minsc.  Your righteous fury is a sight to see, but do not let it consume you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from: BMINSC:43.0
  SAY #3206 /* ~Let it pass, Minsc!  The fight is won and we have survived, do not let your rage defeat you!~ [KELDOR71] */
  IF ~~ THEN EXTERN ~BMINSC~ 44
END

IF ~~ THEN BEGIN 9 // from: BMINSC:44.0
  SAY #3208 /* ~The righteous must sometimes descend to the methods of the brutal, but do not let it destroy you from within.  Fight when you must, but let it end when done.~ */
  IF ~~ THEN EXTERN ~BMINSC~ 45
END

IF ~~ THEN BEGIN 10 // from: BMINSC:46.0
  SAY #3213 /* ~Calm your fury, Minsc!  The battle is over!  Let your friends tend to you!~ [KELDOR72] */
  IF ~~ THEN EXTERN ~BMINSC~ 47
END

IF ~~ THEN BEGIN 11 // from: BMINSC:47.0
  SAY #3216 /* ~There now, with enemies gone it is time for reflection.  Those of evil intent will fear you when the time comes, no need to posture for those that already know.~ */
  IF ~~ THEN EXTERN ~BMINSC~ 48
END

IF ~~ THEN BEGIN 12 // from: BMINSC:48.0
  SAY #3219 /* ~Lead by example, for the individual knows what is right and true.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 13 // from: 129.0
  SAY #3223 /* ~The best example is of good remaining strong in the defeat of evil.  I will give my wounds no acknowledgement.~ */
  IF ~~ THEN EXTERN ~BMINSC~ 50
END

IF ~~ THEN BEGIN 14 // from: BMINSC:50.0
  SAY #3234 /* ~Do not take honor in fighting with my presence.  Take honor in that you fight for good, for that is my source of strength.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 15 // from: BMINSC:51.0
  SAY #3236 /* ~My battles won unscathed are my greatest pride.  When I have served the cause of righteousness without a mark to prove my deeds I know I am acting for the greater good, and not just my own foolish ego.~ [KELDOR74] */
  IF ~~ THEN EXTERN ~BMINSC~ 52
END

IF ~~ THEN BEGIN 16 // from: BMINSC:52.0
  SAY #3238 /* ~Evil mustn't know where opposition can come from, only that it will.  If a villain doubts my intent then he is at a disadvantage when I take up arms against him.~ */
  IF ~~ THEN EXTERN ~BMINSC~ 53
END

IF ~~ THEN BEGIN 17 // from: BMINSC:55.0
  SAY #3242 /* ~There is no sorrow if I fall in battle.  I am glad to be alive, but if my sacrifice inspires others then it is worth my passing.  I have no doubt that your rage over a lost friend inspires you onward, does it not?~ [KELDOR75] */
  IF ~~ THEN EXTERN ~BMINSC~ 56
END

IF ~~ THEN BEGIN 18 // from: BMINSC:56.0
  SAY #3244 /* ~As it should be.  If I can contribute to that then all is not lost when I am.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19 // from: BMINSC:57.0
  SAY #3249 /* ~That it is, Minsc.  Do not waste it, for life anew is not a right, but a privilege granted.  I need not tell you to rededicate your life to fighting the good fight.  I imagine there is little else you would choose to do.~ [KELDOR76] */
  IF ~~ THEN EXTERN ~BMINSC~ 58
END

IF ~~ THEN BEGIN 20 // from: BEDWIN:13.0
  SAY #7497 /* ~Wizard, you've only a brief respite before I put your head in a bag and your body in the ground!~ [KELDOR68] */
  IF ~~ THEN EXTERN ~BEDWIN~ 14
END

IF ~~ THEN BEGIN 21 // from: BEDWIN:14.0
  SAY #7498 /* ~Judgement will be swift and pure upon thee, Edwin.  Your manner says that the cruel are weak, and that kindness is to be expected only from the strong and just.~ */
  IF ~~ THEN EXTERN ~BEDWIN~ 15
END

IF WEIGHT #0 ~InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
Global("AnomenIsKnight","GLOBAL",0)
Global("AnomenIsNotKnight","GLOBAL",0)
Global("KeldornAnomen","LOCALS",0)~ THEN BEGIN 22 // from:
  SAY #8462 /* ~Young Anomen, it seems to me that you have been too long away from the fold.  Perhaps this is a good time to continue your lessons.~ [KELDOR50] */
  IF ~~ THEN DO ~IncrementGlobal("KeldornAnomen","LOCALS",1)~ EXTERN ~BANOMEN~ 36
END

IF ~~ THEN BEGIN 23 // from: BANOMEN:36.0
  SAY #8471 /* ~I doubt it not.  However, perhaps it is time to re-memorize the virtues of chivalry and honesty.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 37
END

IF ~~ THEN BEGIN 24 // from: BANOMEN:37.0
  SAY #8473 /* ~I am not 'about' anything.  I've no ulterior motive outside the betterment of a squire.  Best you listen to the wisdom of those who have gone before you.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 38
END

IF ~~ THEN BEGIN 25 // from: BANOMEN:38.0
  SAY #8476 /* ~Very well.  I see that you are not prepared to learn.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
Global("KeldornAnomen","LOCALS",1)~ THEN BEGIN 26 // from:
  SAY #8484 /* ~Squire Anomen, it is time that I had a word with you.  I must say that you do not always act in a manner befitting a squire of the Order.  You must learn to show deference to your leaders and elders.~ [KELDOR51] */
  IF ~~ THEN DO ~IncrementGlobal("KeldornAnomen","LOCALS",1)~ EXTERN ~BANOMEN~ 39
END

IF ~~ THEN BEGIN 27 // from: 130.0
  SAY #8494 /* ~You are brave and strong.  Do not fool yourself into believing that your time of learning is through.  All of life is a school of sorts.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 40
END

IF ~~ THEN BEGIN 28 // from: BANOMEN:40.0
  SAY #8496 /* ~In this you are correct, I need not be your teacher.  Learn the lesson where you will, but learn it.  If you do not, the future will be unlike you envision it.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~Global("AnomenIsKnight","GLOBAL",1)
InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
Global("Keldorn3","LOCALS",0)~ THEN BEGIN 29 // from:
  SAY #8498 /* ~Your fate has arrived, Sir Anomen.  You are a squire no longer but have now become a knight.  Well done, young man.~ [KELDOR52] */
  IF ~~ THEN DO ~SetGlobal("Keldorn3","LOCALS",1)~ EXTERN ~BANOMEN~ 41
END

IF ~~ THEN BEGIN 30 // from: BANOMEN:41.0
  SAY #8501 /* ~Worry not, young knight.  You are well along the journey of the righteous path, now.  Torm has forgiven all.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~Global("AnomenIsNotKnight","GLOBAL",1)
InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
Global("Keldorn4","LOCALS",0)~ THEN BEGIN 31 // from:
  SAY #8510 /* ~Do not let your removal from the Order color your choices, Anomen. There is a lesson to be learned from this.~ [KELDOR53] */
  IF ~~ THEN DO ~SetGlobal("Keldorn4","LOCALS",1)~ EXTERN ~BANOMEN~ 582
END

IF ~~ THEN BEGIN 32 // from: BANOMEN:42.0
  SAY #8515 /* ~Already it begins.  Anomen, I am on your side.  I wish to be your friend and help you to turn your life around.  Do not refuse aid in your hour of need.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 43
END

IF ~~ THEN BEGIN 33 // from: BANOMEN:43.0
  SAY #8520 /* ~In time you will see, boy, that you act like a child.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 44
END

IF WEIGHT #4 ~Global("AnomenIsNotKnight","GLOBAL",1)
InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
Global("Keldorn4","LOCALS",1)~ THEN BEGIN 34 // from:
  SAY #8526 /* ~Anomen, please remain calm.  What I say I say for your benefit.  You are turning away from your god, Helm, and slipping down the path of evil.  I cannot let you do this.  Put aside your bitterness, Anomen, and talk to me.~ [KELDOR54] */
  IF ~~ THEN DO ~SetGlobal("Keldorn4","LOCALS",2)~ EXTERN ~BANOMEN~ 45
END

IF ~~ THEN BEGIN 35 // from: BANOMEN:45.0
  SAY #8540 /* ~You approach a line that you do not want to cross, Anomen.  Step back before it's too late.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 48
END

IF ~~ THEN BEGIN 36 // from: BANOMEN:48.0
  SAY #8547 /* ~Don't do this, Anomen.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 49
END

IF ~~ THEN BEGIN 37 // from: 131.0
  SAY #8601 /* ~Add another slight to the Order and you'll not reckon her secrets in the world of the living.  Do you understand me, witch?  Not a word in my direction.  EVER.~ */
  IF ~~ THEN EXTERN ~BVICONI~ 15
END

IF ~~ THEN BEGIN 38 // from: BYOSHIM:59.0
  SAY #9154 /* ~Truly, I am married.  I have a beautiful wife and two daughters.  They are the joy of my life.~ [KELDOR64] */
  IF ~~ THEN EXTERN ~BYOSHIM~ 60
END

IF ~~ THEN BEGIN 39 // from: BYOSHIM:60.0
  SAY #9157 /* ~I assure you that they are.  My wife is a charming woman, and my daughters are becoming likewise.  That is all I will discuss of my family, thief, so be gone.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #9 /* Triggers after states #: 85 105 120 144 even though they appear after this state */
~InParty("Jan")
See("Jan")
!StateCheck("Jan",STATE_SLEEPING)
Global("BKeldorn6","LOCALS",0)~ THEN BEGIN 40 // from:
  SAY #9160 /* ~One must maintain constant discipline and remember the four principles of virtue... that is my motto and everlasting burden.~ [KELDOR55] */
  IF ~~ THEN DO ~SetGlobal("BKeldorn6","LOCALS",1)~ EXTERN ~BJAN~ 81
END

IF ~~ THEN BEGIN 41 // from: BJAN:81.0
  SAY #9162 /* ~Indeed, little one. 'Tis not virtuous to refer to me as 'knighty'.~ */
  IF ~~ THEN EXTERN ~BJAN~ 82
END

IF ~~ THEN BEGIN 42 // from: BJAN:82.0
  SAY #9164 /* ~Did she?~ */
  IF ~~ THEN EXTERN ~BJAN~ 83
END

IF ~~ THEN BEGIN 43 // from: BJAN:83.0
  SAY #9166 /* ~A wholly inappropriate jest, Jan.  You should be ashamed.~ */
  IF ~~ THEN EXTERN ~BJAN~ 84
END

IF ~~ THEN BEGIN 44 // from: BJAN:84.0
  SAY #9168 /* ~Never speak of my wife, gnome.  Your lack of respect is appalling.~ */
  IF ~~ THEN EXTERN ~BJAN~ 85
END

IF ~~ THEN BEGIN 45 // from: BJAN:85.0
  SAY #9170 /* ~It is not your place to judge my affairs.  You must learn to respect your leaders.~ */
  IF ~~ THEN EXTERN ~BJAN~ 86
END

IF ~~ THEN BEGIN 46 // from: BJAN:86.0
  SAY #9172 /* ~Begone, gnome, lest my honor demand I perform acts that you shall regret.~ */
  IF ~~ THEN EXTERN ~BJAN~ 87
END

IF ~~ THEN BEGIN 47 // from: BHAERDA:6.0
  SAY #669 /* ~I must say, 'twas only practical.  My mother was of noble birth and my father a ranking cleric.  I might have followed in his pages but it lacked the appeal of holy warrior.~ [KELDOR47] */
  IF ~~ THEN EXTERN ~BHAERDA~ 159
END

IF ~~ THEN BEGIN 48 // from: 132.0
  SAY #670 /* ~If you wouldst write of me, write of me as I would wish to be remembered.~ */
  IF ~~ THEN EXTERN ~BHAERDA~ 8
END

IF ~~ THEN BEGIN 49 // from: BKORGAN:10.0
  SAY #671 /* ~As do you, Korgan.  But alas, blades be far too lengthy for the vertically challenged, I hazard a guess.~ [KELDOR63] */
  IF ~~ THEN EXTERN ~BKORGAN~ 11
END

IF ~~ THEN BEGIN 50 // from: BKORGAN:11.0
  SAY #672 /* ~Your axe has claimed a few close to you, we know.  I'd not put a revisit to the same impulse past you.~ */
  IF ~~ THEN EXTERN ~BKORGAN~ 12
END

IF ~~ THEN BEGIN 51 // from: BKORGAN:12.0
  SAY #673 /* ~We all do, Korgan.  Our Lord makes this world a vale of tears and sorrow.  And, alas, few are saved.  Infinitely more are damned.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 52 // from: 133.0
  SAY #10854 /* ~Only the brightest, most upstanding knights of all the Holy Orders are granted the privilege of membership.~ */
  IF ~~ THEN EXTERN ~BNALIA~ 37
END

IF ~~ THEN BEGIN 53 // from: BNALIA:37.0
  SAY #10858 /* ~Humbly, Ma'am, yes.~ */
  IF ~~ THEN EXTERN ~BNALIA~ 38
END

IF ~~ THEN BEGIN 54 // from: 134.0
  SAY #10860 /* ~... unlike some who take it upon themselves to criticize, we were not born into wealth and luxury.~ */
  IF ~~ THEN EXTERN ~BNALIA~ 39
END

IF ~~ THEN BEGIN 55 // from: 135.0
  SAY #10865 /* ~When I was younger, I used to sing a little song that would make the brothers laugh... how did it go now, I wonder?~ */
  IF ~~ THEN EXTERN ~BYOSHIM~ 77
END

IF ~~ THEN BEGIN 56 // from: 136.0
  SAY #10899 /* ~Oh, how did the second verse go?  It's been so long, I'm surprised I remember that much.~ */
  IF ~~ THEN EXTERN ~BYOSHIM~ 78
END

IF ~~ THEN BEGIN 57 // from: BYOSHIM:78.0
  SAY #10909 /* ~Yes, yes, however did you know?~ */
  IF ~~ THEN EXTERN ~BYOSHIM~ 79
END

IF ~~ THEN BEGIN 58 // from: 137.0
  SAY #10911 /* ~Now get a move on, scalliwag, before I call on the gods to turn you into a lowly pumpkin of some sort.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 59 // from: BANOMEN:74.0
  SAY #10979 /* ~Teacher, now, is it?~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 75
END

IF ~~ THEN BEGIN 60 // from: BANOMEN:75.0
  SAY #10988 /* ~Nor I the wisest of instructors, but we've each done our best and found our peace in our own way.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 76
END

IF ~~ THEN BEGIN 61 // from: BCERND:26.0
  SAY #10992 /* ~If Athkatla were like this, we would swing from the trees by our tails and have barely enough wit to lash a stone onto a fallen branch that it might be called a hammer.  Nay, Cernd, I want not the lowly barbarism you espouse.~ [KELDOR67] */
  IF ~~ THEN EXTERN ~BCERND~ 27
END

IF ~~ THEN BEGIN 62 // from: 138.0
  SAY #11003 /* ~Civilization is a right, a privilege, and a duty.  Only through it and through faith can we can transcend the brutal savagery of our past.~ */
  IF ~~ THEN EXTERN ~BCERND~ 28
END

IF ~~ THEN BEGIN 63 // from: BCERND:28.0
  SAY #11009 /* ~What is that?~ */
  IF ~~ THEN EXTERN ~BCERND~ 29
END

IF ~~ THEN BEGIN 64 // from:
  SAY #11061 /* ~~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 65 // from: BVALYGA:8.0
  SAY #11064 /* ~But don't we extend life, and even return the dead to living with faithful incantations?  Magic, god-borne or otherwise, is a tool.  The user alone must be judged.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #10 /* Triggers after states #: 85 105 120 144 even though they appear after this state */
~InParty("HaerDalis")
See("HaerDalis")
!StateCheck("HaerDalis",STATE_SLEEPING)
Global("BKeldorn7","LOCALS",0)~ THEN BEGIN 66 // from:
  SAY #11067 /* ~I must say, ye bard, that I find the use of your musical abilities during combat to be most effective.  Play on, I say.~ [KELDOR56] */
  IF ~~ THEN DO ~SetGlobal("BKeldorn7","LOCALS",1)~ EXTERN ~BHAERDA~ 46
END

IF ~~ THEN BEGIN 67 // from: BHAERDA:46.0
  SAY #11073 /* ~I hardly thought I'd see you timid, Haer'Dalis.~ */
  IF ~~ THEN EXTERN ~BHAERDA~ 47
END

IF ~~ THEN BEGIN 68 // from: BHAERDA:47.0
  SAY #11137 /* ~Nay, good man, they flee not from the brightness of my sword but from the sheer wretchedness of your playing!~ */
  IF ~~ THEN EXTERN ~BHAERDA~ 48
END

IF ~~ THEN BEGIN 69 // from: BAERIE:96.0
  SAY #11140 /* ~Of course I do, Aerie.  What is it?~ [KELDOR49] */
  IF ~~ THEN EXTERN ~BAERIE~ 97
END

IF ~~ THEN BEGIN 70 // from: BAERIE:97.0
  SAY #11215 /* ~Baervan Wildwanderer: the Masked Leaf, the Forest Gnome.  I have heard of him, but know little.  I have dedicated my studies to the human pantheon, I fear.~ */
  IF ~~ THEN EXTERN ~BAERIE~ 98
END

IF ~~ THEN BEGIN 71 // from: BAERIE:98.0
  SAY #11253 /* ~Wrong?  No, to some you are the ideal.  You have dedicated yourself to the Church in all its forms and to that purest form: your own heart.~ */
  IF ~~ THEN EXTERN ~BAERIE~ 99
END

IF ~~ THEN BEGIN 72 // from: 140.0
  SAY #11257 /* ~Your life has not been easy, Aerie, but it has taught you much, in its own way.~ */
  IF ~~ THEN EXTERN ~BAERIE~ 100
END

IF ~~ THEN BEGIN 73 // from: BAERIE:100.0
  SAY #11281 /* ~Or you me, Aerie.  Or you me...~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #11 /* Triggers after states #: 85 105 120 144 even though they appear after this state */
~See(Player1)
InParty("Korgan")
!StateCheck(Player1,STATE_SLEEPING)
Global("BKeldorn8","LOCALS",0)~ THEN BEGIN 74 // from:
  SAY #11282 /* ~Well I can't say I appreciate Korgan's company or the crudeness of his tongue but, by the gods, one can't deny his prowess!~ [KELDOR79] */
  IF ~~ THEN REPLY #11301 /* ~Do you mean to say that even evil has its place and use, Lord Keldorn?~ */ DO ~SetGlobal("BKeldorn8","LOCALS",1)~ GOTO 75
  IF ~~ THEN REPLY #11302 /* ~Do not be so awed that you would leave your post and make us vulnerable to renewed assault, Keldorn.~ */ DO ~SetGlobal("BKeldorn8","LOCALS",1)~ GOTO 76
  IF ~~ THEN REPLY #11303 /* ~It seems we live and die by it a little more each day.~ */ DO ~SetGlobal("BKeldorn8","LOCALS",1)~ GOTO 77
END

IF ~~ THEN BEGIN 75 // from: 74.0
  SAY #11304 /* ~It scares me to ponder the implications of such a thought but... yes, <CHARNAME>, that maybe so.  But I do not like how easily it rolls off of the tongue.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 76 // from: 74.1
  SAY #11305 /* ~Yes, m'<PRO_LADYLORD>, accept my apologies for the indiscretion.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 77 // from: 74.2
  SAY #11306 /* ~Aye, and I like not the dependence that he cultivates from it, m'<PRO_LADYLORD>...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 78 // from: BEDWIN:60.0
  SAY #11307 /* ~What is the concern, wizard?  I have done nothing to aggravate you.~ [KELDOR69] */
  IF ~~ THEN EXTERN ~BEDWIN~ 61
END

IF ~~ THEN BEGIN 79 // from: BEDWIN:61.0
  SAY #11344 /* ~Whatever poison there be here is in your head, Edwin!  By the gods, I should club you to put you out of your misery!~ */
  IF ~~ THEN EXTERN ~BEDWIN~ 62
END

IF ~~ THEN BEGIN 80 // from: BJAN:105.0
  SAY #11358 /* ~Master Jansen, are you so absolutely incapable of acknowledging the seriousness of our situation!?~ [KELDOR62] */
  IF ~~ THEN EXTERN ~BJAN~ 106
END

IF ~~ THEN BEGIN 81 // from: BJAN:106.0
  SAY #11369 /* ~The abilities granted me by my faith are not for sale, especially not for something as foolish and as -- as vegetal as a -- a turnip!~ */
  IF ~~ THEN EXTERN ~BJAN~ 107
END

IF ~~ THEN BEGIN 82 // from: BJAN:107.0
  SAY #11371 /* ~Oh, never mind.  I'll stand elsewhere, gnome, lest your constant talk put me to sleep.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 83 // from: BMINSC:83.0
  SAY #11372 /* ~Aid is on its way, Minsc, stand firm!~ [KELDOR77] */
  IF ~~ THEN EXTERN ~BMINSC~ 84
END

IF ~~ THEN BEGIN 84 // from: BMINSC:84.0
  SAY #11380 /* ~Oh, ye gods, shelter this loving madman while ye may...~ */
  IF ~~ THEN EXTERN ~BMINSC~ 85
END

IF WEIGHT #5 ~OR(2)
AreaCheck("AR0308")
AreaCheck("AR0309")
InParty("Jaheira")
See("Jaheira")
Global("BKeldorn9","LOCALS",0)~ THEN BEGIN 85 // from:
  SAY #11389 /* ~So this is home to your mysterious Harpers, is it?~ [KELDOR57] */
  IF ~~ THEN DO ~SetGlobal("BKeldorn9","LOCALS",1)~ EXTERN ~BJAHEIR~ 27
END

IF ~~ THEN BEGIN 86 // from: BJAHEIR:27.0
  SAY #11395 /* ~Then I thank the gods you do not have your choice more often.  Your opinions run often towards the brash, my dear.~ */
  IF ~~ THEN EXTERN ~BJAHEIR~ 28
END

IF ~~ THEN BEGIN 87 // from: BJAHEIR:28.0
  SAY #11397 /* ~Ah... yes... aye, m'lady.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #12 /* Triggers after states #: 105 120 144 even though they appear after this state */
~InParty("Viconia")
See("Viconia")
!StateCheck("Viconia",STATE_SLEEPING)
Global("BKeldorn10","LOCALS",0)~ THEN BEGIN 88 // from:
  SAY #11398 /* ~I urge you to reconsider the sheltering of this drow!  However desperate be our mission, we make it worse by sheltering a demon such as her!~ [KELDOR58] */
  IF ~~ THEN DO ~SetGlobal("BKeldorn10","LOCALS",1)~ EXTERN ~BVICONI~ 108
END

IF ~~ THEN BEGIN 89 // from: BVICONI:108.0
  SAY #11405 /* ~Aye, I do, drow.  And if you last another day within this party, I shall do us all a favor and spit you on my blade.~ */
  IF ~~ THEN DO ~SetGlobalTimer("KeldornViconiaFight","GLOBAL",ONE_DAY)~ EXTERN ~BVICONI~ 109
END

IF WEIGHT #13 /* Triggers after states #: 105 120 144 even though they appear after this state */
~GlobalTimerExpired("KeldornViconiaFight","GLOBAL")
InParty("Viconia")
See("Viconia")
!StateCheck("Viconia",STATE_SLEEPING)
Global("BKeldorn11","LOCALS",0)~ THEN BEGIN 90 // from:
  SAY #11414 /* ~Your time is done, drow.  I gave you your warning.~ [KELDOR59] */
  IF ~~ THEN DO ~SetGlobal("BKeldorn11","LOCALS",1)~ EXTERN ~BVICONI~ 111
END

IF WEIGHT #14 /* Triggers after states #: 105 120 144 even though they appear after this state */
~See(Player1)
!StateCheck(Player1,STATE_SLEEPING)
Global("BKeldorn13","LOCALS",0)~ THEN BEGIN 91 // from:
  SAY #11461 /* ~A difficult life you must lead, my friend... always having battle and worry thrust upon you, never in the possession of sanctuary.  I miss it, truly, the little that I have known of home and the Order.~ [KELDOR80] */
  IF ~~ THEN REPLY #11462 /* ~We have no time for sanctuary, Keldorn... there is much to be done.~ */ DO ~SetGlobal("BKeldorn13","LOCALS",1)~ GOTO 141
  IF ~~ THEN REPLY #11463 /* ~There is no such thing as sanctuary, Keldorn.  I learned that long ago in a place called Candlekeep.~ */ DO ~SetGlobal("BKeldorn13","LOCALS",1)~ GOTO 93
  IF ~~ THEN REPLY #11464 /* ~Sanctuary of some kind would be a welcome relief.  I wouldn't mind some safety and rest, myself.~ */ DO ~SetGlobal("BKeldorn13","LOCALS",1)~ GOTO 94
  IF ~~ THEN REPLY #11465 /* ~Aye... but everything I've become and gained I've done through blood and tears.  Seems to me times were once simpler than that.~ */ DO ~SetGlobal("BKeldorn13","LOCALS",1)~ GOTO 95
END

IF ~~ THEN BEGIN 92 // from: 141.0 95.0 94.0 93.0
  SAY #11468 /* ~You have an angry ambivalence about you, as if your very soul clings to some contested ground within you... is it something you wish to talk about?~ */
  IF ~~ THEN REPLY #11478 /* ~The nature of my soul is my own business, Keldorn.  Do not to ask such things again.~ */ GOTO 96
  IF ~~ THEN REPLY #11479 /* ~Nonsense and rubbish. You read too much into me, Keldorn.~ */ GOTO 97
  IF ~~ THEN REPLY #11480 /* ~My father was a god of the dark pantheon. A little ambivalence can be forgiven, can it not?~ */ GOTO 142
  IF ~~ THEN REPLY #11481 /* ~I am a seed of Bhaal.  I must bear the stigma myself.  Remain at my side and that shall be help enough.~ */ GOTO 143
END

IF ~~ THEN BEGIN 93 // from: 91.1
  SAY #11470 /* ~I know, I've...  I've heard you talk of it...  Something about that place divided you, didn't it...~ */
  IF ~~ THEN GOTO 92
END

IF ~~ THEN BEGIN 94 // from: 91.2
  SAY #11472 /* ~I've always had the sense that you are searching desperately for a touchstone of some sort: something solid to which you might cling...~ */
  IF ~~ THEN GOTO 92
END

IF ~~ THEN BEGIN 95 // from: 91.3
  SAY #11477 /* ~Oh, things were never simple.   There was a time when we lacked the sophistication to see exactly how much of a mess we were really in. Take you, for instance.~ */
  IF ~~ THEN GOTO 92
END

IF ~~ THEN BEGIN 96 // from: 92.0
  SAY #11498 /* ~Yes, M'<PRO_LADYLORD>... but think on it awhile.  I cannot stand by and watch a friend consumed by <PRO_HISHER> own pain.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 97 // from: 92.1
  SAY #11500 /* ~I speak what truths I see, m'<PRO_LADYLORD>... Think on it awhile, for my sake if not for yours...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 98 // from: 142.0
  SAY #11505 /* ~The greatest peril of ambivalence is that it is temporary.  When you fall from it, I... I pray you fall towards the light, <CHARNAME>...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 99 // from: 143.0
  SAY #11509 /* ~Alone, I am no match for the essence of a dark god, but that is where faith comes in, is it not?  Come friend, let us forge a path of light into this world.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 100 // from: 144.0
  SAY #11517 /* ~I cannot allow the essence of Bhaal to manifest itself in a soul that holds no love of good... Forgive me but it is time we faced each other.~ */
  IF ~~ THEN REPLY #11522 /* ~If your faith demands it.  I thank you for the service you tried to render.~ */ GOTO 101
  IF ~~ THEN REPLY #11527 /* ~A knife in the back?  So much for your talk of seeing this quest through unto the end.~ */ GOTO 102
  IF ~~ THEN REPLY #11529 /* ~Then ready your blade, paladin, and prepare to fight the very child of a god.~ */ GOTO 103
  IF ~~ THEN REPLY #11530 /* ~A single act does not evil's minion make.  I am the same <CHARNAME> I was a day ago.~ */ GOTO 104
END

IF ~~ THEN BEGIN 101 // from: 100.0
  SAY #11531 /* ~It has come at a price but one I would pay again... To the death, then, m'<PRO_LADYLORD>, and perhaps we'll meet again on some distant future plane.~ */
  IF ~~ THEN DO ~LeaveParty()
Enemy()
Attack(Player1)
~ EXIT
END

IF ~~ THEN BEGIN 102 // from: 100.1
  SAY #11532 /* ~This is the end, m'<PRO_LADYLORD>.  It always was... My destiny demands it as much as yours.~ */
  IF ~~ THEN DO ~LeaveParty()
Enemy()
Attack(Player1)
~ EXIT
END

IF ~~ THEN BEGIN 103 // from: 100.2
  SAY #11533 /* ~My blade has been ready all my life... Forgive me, but if there be godly blood in you, then I must spill it.  It is my destiny and always was.~ */
  IF ~~ THEN DO ~LeaveParty()
Enemy()
Attack(Player1)
~ EXIT
END

IF ~~ THEN BEGIN 104 // from: 100.3
  SAY #11534 /* ~Old friends we have become, m'<PRO_LADYLORD>, I shall not argue, but balance has tipped and if it takes either my death or yours to set it aright, then so be it.~ */
  IF ~~ THEN GOTO 145
END

IF WEIGHT #6 ~GlobalTimerExpired("KeldornMetPlayer","GLOBAL")
See(Player1)
ReputationGT(Player1,14)
!StateCheck(Player1,STATE_SLEEPING)
Global("BKeldorn14","LOCALS",0)~ THEN BEGIN 105 // from:
  SAY #11535 /* ~Bit by bit and little by little, thus does innate goodness conquer the blood of an evil god.~ [KELDOR81] */
  IF ~~ THEN REPLY #11537 /* ~Yes, but it is a private struggle, Keldorn.  Please, let us not spend every hour in contemplation of it.~ */ DO ~SetGlobal("BKeldorn14","LOCALS",1)~ GOTO 106
  IF ~~ THEN REPLY #11538 /* ~What does the Church have to say about us godlings, Keldorn? Is there any hope for us?~ */ DO ~SetGlobal("BKeldorn14","LOCALS",1)~ GOTO 146
  IF ~~ THEN REPLY #11552 /* ~There's no sense in flattery, Keldorn.  Goodness is learned and earned and struggled for, not innate, and you know that as well as I.~ */ DO ~SetGlobal("BKeldorn14","LOCALS",1)~ GOTO 111
END

IF ~~ THEN BEGIN 106 // from: 105.0
  SAY #11553 /* ~As you wish, though there are times when I cannot help but celebrate on your behalf.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 107 // from: 146.0
  SAY #11554 /* ~Will there be a new god of Murder?  Will you and your siblings enter into some new pantheon?  Are you destined for the Abyss?  I wish I knew, <CHARNAME>.~ */
  IF ~~ THEN REPLY #11561 /* ~The Abyss?~ */ GOTO 147
  IF ~~ THEN REPLY #11571 /* ~I just wish I could find a little country cottage and settle down. I don't know, bake bread, do some leather working, something other than this mad existence.~ */ GOTO 109
  IF ~~ THEN REPLY #11579 /* ~How many of us do you think there are?~ */ GOTO 148
END

IF ~~ THEN BEGIN 108 // from: 147.0
  SAY #11581 /* ~I'm sorry, <CHARNAME>... I hope it doesn't come to pass but I... I cannot promise you it won't.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 109 // from: 107.1
  SAY #11582 /* ~Ha, who's to say what the future holds when even the prophets speak in riddles?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 110 // from: 148.0
  SAY #11583 /* ~The question comes down to time and opportunity.  Cyric was hunting him, after all... You are a haunted Clan, I fear.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 111 // from: 105.2
  SAY #11588 /* ~You speak true, but that only makes today more worth celebrating. Come, relax a little.  You will feel much better for it, m'<PRO_LADYLORD>, I assure you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 112 // from: BJAHEIR:40.0
  SAY #20111 /* ~Am I to judge by your tone that you are sympathetic to our enemies?~ [KELDOR44] */
  IF ~~ THEN EXTERN ~BJAHEIR~ 41
END

IF ~~ THEN BEGIN 113 // from: BJAHEIR:41.0
  SAY #20119 /* ~In theory, perhaps, though I see no hesitation on your part while in battle either. Do you claim to chastise me while doing the same yourself?~ */
  IF ~~ THEN EXTERN ~BJAHEIR~ 42
END

IF ~~ THEN BEGIN 114 // from: BJAHEIR:42.0
  SAY #20123 /* ~Gray? Gray is not a color, it is the blurring of another. Gray is indecision, and I have no time for it.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #15 /* Triggers after states #: 120 144 even though they appear after this state */
~InParty("Valygar")
See("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)
Global("BKeldorn16","LOCALS",0)~ THEN BEGIN 115 // from:
  SAY #21430 /* ~I must say, Valygar, that I have watched you fight and have found you to be a most extraordinary warrior.  How is it that you have not pursued something more important with your life?~ [KELDOR60] */
  IF ~~ THEN DO ~SetGlobal("BKeldorn16","LOCALS",1)~ EXTERN ~BVALYGA~ 56
END

IF ~~ THEN BEGIN 116 // from: BVALYGA:56.0
  SAY #21433 /* ~More important... such as joining one of the Royal Orders.  Or perhaps earning a career in the military.  Serving your lord or your god, as it were.~ */
  IF ~~ THEN EXTERN ~BVALYGA~ 57
END

IF ~~ THEN BEGIN 117 // from: BVALYGA:57.0
  SAY #21437 /* ~What about serving your god, then?~ */
  IF ~~ THEN EXTERN ~BVALYGA~ 58
END

IF ~~ THEN BEGIN 118 // from: BVALYGA:58.0
  SAY #21439 /* ~You have no god?!  Do you speak truly?  How could one live such a life devoid of faith?~ */
  IF ~~ THEN EXTERN ~BVALYGA~ 59
END

IF ~~ THEN BEGIN 119 // from: BVALYGA:59.0
  SAY #21441 /* ~Well spoken, Valygar.  You're a good man, if godless.  I meant no offense.~ */
  IF ~~ THEN EXTERN ~BVALYGA~ 60
END

IF WEIGHT #7 ~Dead("Lavok02")
InParty("Valygar")
See("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)
Global("BKeldorn17","LOCALS",0)~ THEN BEGIN 120 // from:
  SAY #21443 /* ~I understand congratulations are due to you, Valygar.~ [KELDOR61] */
  IF ~~ THEN DO ~SetGlobal("BKeldorn17","LOCALS",1)~ EXTERN ~BVALYGA~ 61
END

IF ~~ THEN BEGIN 121 // from: BVALYGA:61.0
  SAY #21446 /* ~You have fulfilled your family's oath.  A vow lived up to is a rare thing, my friend.  Even rarer a vow that stretches back five hundred years.~ */
  IF ~~ THEN EXTERN ~BVALYGA~ 62
END

IF ~~ THEN BEGIN 122 // from: BVALYGA:62.0
  SAY #21448 /* ~How so?  Your family would be proud of you.~ */
  IF ~~ THEN EXTERN ~BVALYGA~ 63
END

IF ~~ THEN BEGIN 123 // from: BVALYGA:63.0
  SAY #21450 /* ~It hardly matters, I think.  The necromancer was evil, and even if he regretted his evil in the end, he still had to accept penance.~ */
  IF ~~ THEN EXTERN ~BVALYGA~ 64
END

IF ~~ THEN BEGIN 124 // from: BVALYGA:64.0
  SAY #21452 /* ~Perhaps you are right, Valygar.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 125 // from: BANOMEN:109.0
  SAY #35109 /* ~(sigh) Once again, Anomen, you follow pride rather than your head.  The Order remains free of corruption because we don't take part in the politics you mention.~ */
  IF ~~ THEN GOTO 126
END

IF ~~ THEN BEGIN 126 // from: 125.0
  SAY #35110 /* ~If we allowed administration to conflict with our righteous hearts, where would we be?  Even the Council has its place in this land, surely you know that.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 115
END

IF ~~ THEN BEGIN 127 // from: BANOMEN:118.0 BANOMEN:117.0
  SAY #35145 /* ~The Order has its place, Anomen... and government is not it.  Your vision is flawed, and you would do well to think most carefully before you do anything rash.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 121
END

IF ~~ THEN BEGIN 128 // from: BANOMEN:119.0
  SAY #35147 /* ~<CHARNAME> shows wisdom, good Anomen, in remaining silent on a matter with which she is not well-informed.  You would do well to follow her example.~ */
  IF ~~ THEN EXTERN ~BANOMEN~ 122
END

IF ~~ THEN BEGIN 129 // from: BMINSC:49.0
  SAY #37401 /* ~I take no pride in my wounds, only in the battle won.  That I have the opportunity to sacrifice my body for right, that does not mean I wish to.~ [KELDOR73] */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 130 // from: BANOMEN:39.0
  SAY #37402 /* ~Anomen, you are a brash youth.  If you learn to curb these outbursts you shall be an excellent knight.~ */
  IF ~~ THEN GOTO 27
END

IF ~~ THEN BEGIN 131 // from: BVICONI:527.0
  SAY #37403 /* ~Shar is a perverse travesty, drow.  Her cult is seething with evil and bitter yield.  She's a coven for the morose and pathetic.~ [KELDOR45] */
  IF ~~ THEN GOTO 37
END

IF ~~ THEN BEGIN 132 // from: BHAERDA:7.0
  SAY #37404 /* ~Ho, Haer'Dalis, your poetry ennobles me far beyond my worth.  I am a simple man and by simple decisions, I have made my way about this earth.~ */
  IF ~~ THEN GOTO 48
END

IF ~~ THEN BEGIN 133 // from: BNALIA:36.0
  SAY #37405 /* ~Infamous?  Miss Nalia, we servants of the Radiant Heart pride ourselves on bringing a little good into this dark world.~ [KELDOR78] */
  IF ~~ THEN GOTO 52
END

IF ~~ THEN BEGIN 134 // from: BNALIA:38.0
  SAY #37406 /* ~My lady Nalia, understand this: any soul of any social rank may join the Holy Orders and therein be judged by the purity of their heart, male or female.~ */
  IF ~~ THEN GOTO 54
END

IF ~~ THEN BEGIN 135 // from: BYOSHIM:76.0
  SAY #37407 /* ~Ha.  There are countless books within our holy libraries where bored and dreamy scribes have penned petty blasphemies into the margins.~ [KELDOR65] */
  IF ~~ THEN GOTO 55
END

IF ~~ THEN BEGIN 136 // from: BYOSHIM:77.0
  SAY #37408 /* ~"I knew a girl from a distant world,
across the planar deep,
and to her place, to see her face,
across the void, I'd creep.
Though time... though time...~ */
  IF ~~ THEN GOTO 56
END

IF ~~ THEN BEGIN 137 // from: BYOSHIM:79.0
  SAY #37409 /* ~Oh dear, I hope I didn't write that one down for posterity!  Heh... you should be proud of yourself, Yoshimo: you've just made an old knight blush.~ */
  IF ~~ THEN GOTO 58
END

IF ~~ THEN BEGIN 138 // from: BCERND:82.0
  SAY #37410 /* ~The very gods granted us dominion here and Ao placed the races that they might flourish and be fruitful.  It is a destiny made manifest, druid.~ */
  IF ~~ THEN GOTO 62
END

IF ~~ THEN BEGIN 139 // from: BVALYGA:7.0
  SAY #37411 /* ~Hm... I know it has not been the case in your experience but not all magic is there to serve the darker gods or circumvent the good.~ [KELDOR46] */
  IF ~~ THEN EXTERN ~BVALYGA~ 8
END

IF ~~ THEN BEGIN 140 // from: BAERIE:99.0
  SAY #37413 /* ~We all have a tendency to divide the pantheons, to pray to deities that are easiest to appease or have the greatest impact on us and then ignore the rest...~ */
  IF ~~ THEN GOTO 72
END

IF ~~ THEN BEGIN 141 // from: 91.0
  SAY #37414 /* ~Oh, <CHARNAME>, leave our worries at the door, for once... I have been watching you and... and praying for you over this past while...~ */
  IF ~~ THEN GOTO 92
END

IF ~~ THEN BEGIN 142 // from: 92.2
  SAY #37415 /* ~I had thought as much.  We cannot help what we are but we can help what we become...~ */
  IF ~~ THEN GOTO 98
END

IF ~~ THEN BEGIN 143 // from: 92.3
  SAY #37416 /* ~I am old but, in what time I have left to me, I shall do all in my power to maintain the sanctity of your soul...~ */
  IF ~~ THEN GOTO 99
END

IF WEIGHT #8 ~GlobalTimerExpired("KeldornMetPlayer","GLOBAL")
See(Player1)
ReputationLT(Player1,9)
!StateCheck(Player1,STATE_SLEEPING)
Global("BKeldorn15","LOCALS",0)~ THEN BEGIN 144 // from:
  SAY #37417 /* ~I know that you bring with you a troubled past and a painful heritage but, for all the friendship that has formed between us, I cannot turn from such transgressions forever...~ [KELDOR82] */
  IF ~~ THEN DO ~SetGlobal("BKeldorn15","LOCALS",1)~ GOTO 100
END

IF ~~ THEN BEGIN 145 // from: 104.0
  SAY #37418 /* ~I promised I would safeguard your soul and so I shall, even now.  Forgive me, <CHARNAME>, but we must each obey our destinies, no...?~ */
  IF ~~ THEN DO ~LeaveParty()
Enemy()
Attack(Player1)~ EXIT
END

IF ~~ THEN BEGIN 146 // from: 105.1
  SAY #37421 /* ~There is always hope, but no one can know what is in store for you or your kin.  I have been in contact with my the Order, asking them to research prophecies...~ */
  IF ~~ THEN GOTO 107
END

IF ~~ THEN BEGIN 147 // from: 107.0
  SAY #37422 /* ~A Hell of countless levels and depths where damned souls wail for eternity... It is possible that, for all your goodness, your very parentage will damn you yet.~ */
  IF ~~ THEN GOTO 108
END

IF ~~ THEN BEGIN 148 // from: 107.2
  SAY #37423 /* ~Maybe a handful, maybe as many as all the stars in all the skies.  No doubt Bhaal would have wanted to create as many of you as possible.~ */
  IF ~~ THEN GOTO 110
END
